##xUtils快速使用说明

1. 导入依赖
#### 使用Gradle构建时添加一下依赖即可:
```javascript
compile 'org.xutils:xutils:3.3.22'
```
##### 如果使用eclipse可以 [点击这里下载aar文件](http://dl.bintray.com/wyouflf/maven/org/xutils/xutils/), 然后用zip解压, 取出jar包和so文件.

2. 添加配置混淆设置
################### region for xUtils
-keepattributes Signature,*Annotation*
-keep public class org.xutils.** {
    public protected *;
}
-keep public interface org.xutils.** {
    public protected *;
}
-keepclassmembers class * extends org.xutils.** {
    public protected *;
}
-keepclassmembers @org.xutils.db.annotation.* class * {*;}
-keepclassmembers @org.xutils.http.annotation.* class * {*;}
-keepclassmembers class * {
    @org.xutils.view.annotation.Event <methods>;
}
#################### end region

3. 配置权限
##### 需要的权限
```xml
<uses-permission android:name="android.permission.INTERNET" />
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
```

4. 初始化
如果为初始化会报 `RuntimeException`: "please invoke x.Ext.init(app) on Application#onCreate()
and register your Application in manifest."
#### 在`AndroidManifest.xml`中注册`自定义Application`, 之后加入下面的代码.
```java
// 在application的onCreate中初始化
@Override
public void onCreate() {
    super.onCreate();
    x.Ext.init(this); // 这一步之后, 我们就可以在任何地方使用x.app()来获取Application的实例了.
    x.Ext.setDebug(true); // 是否输出debug日志
    ...
}
```

## 现在可以开始使用xUtils了
常用的API可以参考 [README](http://)
接下来我们较为详细的介绍没一个模块的api和特性.